| Earth Observation Mission CFI Software FileHandlling Software User Manual for JAVA |

Static Public Attributes

# EECFI.EnumFileHandling Class Reference

FileHandling enumerations. More...

List of all members.

## Static Public Attributes
static long | XFCFI_HEADER_FORMAT_EEF = 0
| XML file with Header and Datablock.
static long | XFCFI_HEADER_FORMAT_HDR = 1
| XML file with Header.
static long | XFCFI_HEADER_FORMAT_DBL = 2
| XML file with Datablock.
static long | XFCFI_HEADER_FORMAT_NONE = 3
| No extension when generating filename.
static long | XFCFI_HEADER_FORMAT_EOF = 4
| XML file with Header and Datablock (Earth Observation mission).
static long | XFCFI_SAT_DEFAULT = 0
| Default satellite Id.
static long | XFCFI_SAT_DEFAULT1 = 1
static long | XFCFI_SAT_DEFAULT2 = 2
static long | XFCFI_SAT_DEFAULT3 = 3
static long | XFCFI_SAT_DEFAULT4 = 4
static long | XFCFI_SAT_DEFAULT5 = 5
static long | XFCFI_SAT_DEFAULT6 = 6
static long | XFCFI_SAT_DEFAULT7 = 7
static long | XFCFI_SAT_DEFAULT8 = 8
static long | XFCFI_SAT_DEFAULT9 = 9
static long | XFCFI_SAT_ERS1 = 11
| Satellite Id for ERS1.
static long | XFCFI_SAT_ERS2 = 12
| Satellite Id for ERS2.
static long | XFCFI_SAT_ENVISAT = 21
| Satellite Id for Envisat.
static long | XFCFI_SAT_METOP1 = 31
| Satellite Id for MetOp1.
static long | XFCFI_SAT_METOP2 = 32
| Satellite Id for MetOP2.
static long | XFCFI_SAT_METOP3 = 33
| Satellite Id for MetOp3.
static long | XFCFI_SAT_CRYOSAT = 41
| Satellite Id for Cryosat.
static long | XFCFI_SAT_ADM = 51
| Satellite Id for Aeolus.
static long | XFCFI_SAT_GOCE = 61
| Satellite Id for GOCE.
static long | XFCFI_SAT_SMOS = 71
| Satellite Id for SMOS.
static long | XFCFI_SAT_TERRASAR = 81
| Satellite Id for TERRASAR.
static long | XFCFI_SAT_EARTHCARE = 91
| Satellite Id for EARTHCARE.
static long | XFCFI_SAT_SWARM_A = 101
| Satellite Id for SWARM A.
static long | XFCFI_SAT_SWARM_B = 102
| Satellite Id for SWARM B.
static long | XFCFI_SAT_SWARM_C = 103
| Satellite Id for SWARM C.
static long | XFCFI_SAT_SENTINEL_1A = 110
| Satellite Id for SENTINEL_1A.
static long | XFCFI_SAT_SENTINEL_1B = 111
| Satellite Id for SENTINEL_1B.
static long | XFCFI_SAT_SENTINEL_2 = 112
| Satellite Id for SENTINEL_2.
static long | XFCFI_SAT_SENTINEL_3 = 113
| Satellite Id for SENTINEL_3.
static long | XFCFI_SAT_SEOSAT = 120
| Satellite Id for SEOSAT.
static long | XFCFI_SAT_SENTINEL_1C = 125
| Satellite Id for SENTINEL_1C.
static long | XFCFI_SAT_SENTINEL_2A = 126
| Satellite Id for SENTINEL_2A.
static long | XFCFI_SAT_SENTINEL_2B = 127
| Satellite Id for SENTINEL_2B.
static long | XFCFI_SAT_SENTINEL_2C = 128
| Satellite Id for SENTINEL_2C.
static long | XFCFI_SAT_SENTINEL_3A = 129
| Satellite Id for SENTINEL_3A.
static long | XFCFI_SAT_SENTINEL_3B = 130
| Satellite Id for SENTINEL_3B.
static long | XFCFI_SAT_SENTINEL_3C = 131
| Satellite Id for SENTINEL_3C.
static long | XFCFI_SAT_GENERIC = 200
| Generic Satellite Id.

## Detailed Description

FileHandling enumerations.